<!DOCTYPE HTML>
<html>

<head>
    <link rel="stylesheet" type="text/css" href="messages.css">
    <meta charset="utf-8">
</head>

<body>
<div id="messages-container">
    <div class="pane">
        <button class="remove-button">[x]</button>
        <h3>Лошадь</h3>
        <p>Домашняя лошадь — животное семейства непарнокопытных, одомашненный и единственный сохранившийся подвид дикой лошади, вымершей в дикой природе, за исключением небольшой популяции лошади Пржевальского.</p>
    </div>
    <div class="pane">
        <button class="remove-button">[x]</button>
        <h3>Осёл</h3>
        <p>Домашний осёл или ишак — одомашненный подвид дикого осла, сыгравший важную историческую роль в развитии хозяйства и культуры человека. Все одомашненные ослы относятся к африканским ослам.</p>
    </div>
    <div class="pane">
        <button class="remove-button">[x]</button>
        <h3>Корова, а также пара слов о диком быке, о волах и о тёлках. </h3>
        <p>Коро́ва — самка домашнего быка, одомашненного подвида дикого быка, парнокопытного жвачного животного семейства полорогих. Самцы вида называются быками, молодняк — телятами, кастрированные самцы — волами. Молодых (до первой стельности) самок называют
            тёлками.
        </p>
    </div>
</div>
<script>
    var closeButtons = document.querySelectorAll("#messages-container .remove-button");

        closeButtons.forEach(l => l.addEventListener("click", function() {
            let target = event.target;
            let el = target.parentNode;
            el.parentNode.removeChild(el);
        }));

//    for (var i = 0; i < closeButtons.length; i++) {
//        closeButtons[i].addEventListener("click", function() {
//            let target = event.target;
//            let el = target.parentNode;
//            el.parentNode.removeChild(el);
//        });
//    }
</script>
</body>

</html>